from tkinter import *
from tkinter.ttk import *

window = Tk()

window.title("Welcome to Tkinter!")
window.geometry('400x300+30+200')

# ------------------------------
# labels specifications

# One label is a pure entry box description
lbl = Label(window, text="You selected:  " )
lbl.grid(column=1, row=0)

# The other label presents the result of actions
lbl2 = Label(window, text="            ")
lbl2.grid(column=2, row=0)

# ------------------------------
# Combo box specifications

combo = Combobox(window)

combovals = "Ankara Dakkar Helsinki Oslo Perth Rome Seoul Vienna Warsaw"
combotuple = tuple( combovals.split() )
combo['values']= combotuple
combo.current(4) #set the selected item
combo.grid(column=0, row=0)


def comboSelect(event):
     #print("New Element Selected")
     lbl2.configure(text = str( combo.get() ) )

combo.bind("<<ComboboxSelected>>", comboSelect)



window.mainloop()



